MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000466JANABugpublic2015-10-26 14:192016-12-08 11:03
Reporterdavidl 
Assigned Todavidl 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000466: JResourceManager doesn't test path from jcalib
DescriptionThis problem came up when trying to run using the resources directory in /group/halld. The issues is that the Magnets/Solenoid/finemeshes/ directory contains files that have a ".evio" suffix. The namepaths corresponding to these files do not have this suffix. This would normally be OK if the files were obtained through the JResourceManager since it would write an entry in the top-level "resources" file that would contain the ".evio" suffix and therefore, return the full path to this file. However, the resources directory in /group/halld has no "resources" file. This means GetResource looks for a file based only on the namepath (i.e. without ".evio") and fails to find it. It then tries downloading it, but fails since it can't write to the resources directory from a personal account.

To get around this, GetResource should check for a filename whose path comes from jcalib before attempting a download. This should probably happen only if it fails to find a file based on the namepath (around line 230 in JResourceManager.cc).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000656)
davidl (administrator)
2015-11-29 15:56

OK, it's not so clear now what was going on here. The default behavior of GetResource is to call GetLocalPathToResource() which will use the jcalib object to get the full path based on the name in CCDB. It should only return the full path based on the name path if no jcalib exists. This should not have been the case before, but I cannot recall now the exact conditions leading to the issue. I'm going to have to defer fixing this until the problem presents again.
(0000666)
davidl (administrator)
2016-12-08 11:03

This looks to have been fixed back in March 2016 and included in jana 0.7.5 (see svn entry 2412)

- Issue History
Date Modified Username Field Change
2015-10-26 14:19 davidl New Issue
2015-11-29 15:56 davidl Note Added: 0000656
2016-12-08 11:03 davidl Note Added: 0000666
2016-12-08 11:03 davidl Status new => resolved
2016-12-08 11:03 davidl Resolution open => fixed
2016-12-08 11:03 davidl Assigned To => davidl


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker